      PROGRAM uipk01

	use dcl

	real,dimension(2) :: a,b


	call DclSetParm('WINDOW_HEIGHT', 300)
	call DclSetParm('WINDOW_WIDTH', 300)


	call DclOpenGraphics
	call DclNewFrame
	call DclSetWindow(0., 256., 0., 256.)
	call DclSetViewPort(.1, .9, .1, .9)
	call DclSetTransNumber(1)

	call DclSetTransFunction

      DO I = 1, 255

         A(1) = 1. * I
         A(2) = 1. * I

         DO J = 1, 255

            B(1) = 1. * (J - 1)
            B(2) = 1. * J

	call DclDrawLine( A, B, 1, 1, ISGRGB(I,J,0))
         END DO
      END DO

	call DclDrawAxis('T', 16., 64.)
	call DclDrawAxis('B', 16., 64.)
	call DclDrawAxis('L', 16., 64.)
	call DclDrawAxis('R', 16., 64.)

	call DclCloseGraphics

      END
